<?php 
require ('../db/conn.php');

$nombreMarca=trim($_POST['nombreMarca']);

setlocale(LC_ALL, 'en_US.UTF8'); // NECESARIO PARA CONVERTIR CARACTERES ESPECIALES AL ALFABETO INGLÉS

$urlMarca = htmlspecialchars($nombreMarca);
$urlMarca = html_entity_decode($urlMarca);
$urlMarca = strip_tags($urlMarca);
$urlMarca = preg_replace("/[^a-z0-9 ]/i", " ", iconv('UTF-8', 'ASCII//TRANSLIT', $urlMarca)); // ELIMINA CARACTERES ESPECIALES
$urlMarca = preg_replace("/\s+/", " ", $urlMarca); // QUITA DOBLE ESPACIO
$urlMarca = trim($urlMarca); // QUITA ESPACIO AL INICIO Y AL FINAL
$urlMarca = strtolower(str_replace(" ", "-", $urlMarca)); // REEMPLAZA ESPACIO POR GUION

$insert_manufacturer = "INSERT INTO `oc_manufacturer` (`manufacturer_id`,`name`, `image`, `sort_order`) VALUES (NULL , '". $nombreMarca ."', '', 0)";

if (mysqli_query($con, $insert_manufacturer))
	{ 
		$last_id = mysqli_insert_id($con);
		mysqli_query($con, "INSERT INTO `oc_manufacturer_to_store` (`manufacturer_id`, `store_id`) VALUES (". $last_id .", 0)");
		mysqli_query($con, "INSERT INTO `oc_url_alias` (`url_alias_id`, `query`, `keyword`)
		VALUES (NULL , 'manufacturer_id=" . $last_id . "' , '" . $urlMarca . "')");
	}
else 
	{
		echo "<code>Error: " . $insert_manufacturer . "</code><br>" . mysqli_error($con);
	}

mysqli_close($con);
?>
